lkml.org 
[lkml]   [2020]   [Nov]   [2]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
Subject[linux-platform-drivers-x86:for-next 7/7] drivers/platform/x86/dell-wmi-sysman/passobj-attributes.c:38:23: sparse: sparse: symbol 'po_is_pass_set' was not declared. Should it be
tree:   git://git.infradead.org/linux-platform-drivers-x86 for-next
head: e8a60aa7404bfef37705da5607c97737073ac38d
commit: e8a60aa7404bfef37705da5607c97737073ac38d [7/7] platform/x86: Introduce support for Systems Management Driver over WMI for Dell Systems
config: i386-randconfig-s001-20201101 (attached as .config)
compiler: gcc-9 (Debian 9.3.0-15) 9.3.0
reproduce:
# apt-get install sparse
# sparse version: v0.6.3-76-gf680124b-dirty
git remote add linux-platform-drivers-x86 git://git.infradead.org/linux-platform-drivers-x86
git fetch --no-tags linux-platform-drivers-x86 for-next
git checkout e8a60aa7404bfef37705da5607c97737073ac38d
# save the attached .config to linux build tree
make W=1 C=1 CF='-fdiagnostic-prefix -D__CHECK_ENDIAN__' ARCH=i386

If you fix the issue, kindly add following tag as appropriate
Reported-by: kernel test robot <lkp@intel.com>


"sparse warnings: (new ones prefixed by >>)"
>> drivers/platform/x86/dell-wmi-sysman/passobj-attributes.c:38:23: sparse: sparse: symbol 'po_is_pass_set' was not declared. Should it be static?
>> drivers/platform/x86/dell-wmi-sysman/passobj-attributes.c:70:23: sparse: sparse: symbol 'po_current_password' was not declared. Should it be static?
>> drivers/platform/x86/dell-wmi-sysman/passobj-attributes.c:99:23: sparse: sparse: symbol 'po_new_password' was not declared. Should it be static?
>> drivers/platform/x86/dell-wmi-sysman/passobj-attributes.c:103:23: sparse: sparse: symbol 'po_min_pass_length' was not declared. Should it be static?
>> drivers/platform/x86/dell-wmi-sysman/passobj-attributes.c:107:23: sparse: sparse: symbol 'po_max_pass_length' was not declared. Should it be static?
>> drivers/platform/x86/dell-wmi-sysman/passobj-attributes.c:116:23: sparse: sparse: symbol 'po_mechanism' was not declared. Should it be static?
>> drivers/platform/x86/dell-wmi-sysman/passobj-attributes.c:129:23: sparse: sparse: symbol 'po_role' was not declared. Should it be static?
--
>> drivers/platform/x86/dell-wmi-sysman/sysman.c:258:24: sparse: sparse: symbol 'wmi_sysman_kobj_sysfs_ops' was not declared. Should it be static?

Please review and possibly fold the followup patch.

---
0-DAY CI Kernel Test Service, Intel Corporation
https://lists.01.org/hyperkitty/list/kbuild-all@lists.01.org
[unhandled content-type:application/gzip]
\
 
 \ /
  Last update: 2020-11-02 06:17    [W:0.070 / U:2.056 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site